Package twisted :: Package application :: Module compat :: Class IOldApplication

[frames | no frames]

## Class IOldApplication

    Interface --+
                |
               IOldApplication

A subset of the interface old Application objects had implicitly

This interface defines a subset of the interface old Application objects had, so that new objects can support it for compatibility with old code

Method Summary
| ``addService`(self, service)` Add a service to this collection.
| ``connectSSL`(self, host, port, factory, ctxFactory, timeout, bindAddress)` Add a service that connects a client Protocol to a remote SSL socket.
| ``connectTCP`(self, host, port, factory, timeout, bindAddress)` Add a service that connects a TCP client.
| ``connectUDP`(self, remotehost, remoteport, protocol, localport, interface, maxPacketSize)` Add a service that connects a `ConnectedDatagramProtocol` to a port.
| ``connectUNIX`(self, address, factory, timeout)` Add a service that connects a client protocol to a UNIX socket.
| ``connectWith`(self, connectorType, *args, **kw)` Add a service that starts an instance of `connectorType` connecting.
| ``getServiceNamed`(self, name)` Retrieve the named service from this application.
| ``listenSSL`(self, port, factory, ctxFactory, backlog, interface)` Add a service that connects a given protocol factory to the port.
| ``listenTCP`(self, port, factory, backlog, interface)` Add a service that connects a given protocol factory to the port.
| ``listenUDP`(self, port, proto, interface, maxPacketSize)` Add a service that connects a given DatagramProtocol to the port.
| ``listenUNIX`(self, filename, factory, backlog, mode)` Add a service that listens on a UNIX socket.
| ``listenWith`(self, portType, *args, **kw)` Add a service that starts an instance of `portType` listening.
| ``removeService`(self, service)` Remove a service from this collection.
| ``unlistenSSL`(self, port, interface)` Maybe remove a listener
| ``unlistenTCP`(self, port, interface)` Maybe remove a listener
| ``unlistenUDP`(self, port, interface)` Maybe remove a listener
| ``unlistenUNIX`(self, filename)` Maybe remove a listener
| ``unlistenWith`(self, portType, *args, **kw)` Maybe remove a listener

Method Details

### addService(self, service)

Add a service to this collection.

### connectSSL(self, host, port, factory, ctxFactory, timeout=30, bindAddress=None)

Add a service that connects a client Protocol to a remote SSL socket.

  Parameters:
    `host` - a host name
    `port` - a port number
    `factory` - a `twisted.internet.protocol.ClientFactory` instance
    `timeout` - number of seconds to wait before assuming the connection has failed
    `bindAddress` - a (host, port) tuple of local address to bind to, or `None`

### connectTCP(self, host, port, factory, timeout=30, bindAddress=None)

Add a service that connects a TCP client.

  Parameters:
    `host` - a host name
    `port` - a port number
    `factory` - a twisted.internet.protocol.ClientFactory instance
    `timeout` - number of seconds to wait before assuming the connection has failed.
    `bindAddress` - a (host, port) tuple of local address to bind to, or None.

### connectUDP(self, remotehost, remoteport, protocol, localport=0, interface='', maxPacketSize=8192)

Add a service that connects a `ConnectedDatagramProtocol` to a port.

### connectUNIX(self, address, factory, timeout=30)

Add a service that connects a client protocol to a UNIX socket.

  Parameters:
    `address` - a path to a unix socket on the filesystem.
    `factory` - a `twisted.internet.protocol.ClientFactory` instance
    `timeout` - number of seconds to wait before assuming the connection has failed.

### connectWith(self, connectorType, *args, **kw)

Add a service that starts an instance of `connectorType` connecting.

  Parameters:
    `connectorType` - The object given by `connectorType(*args, **kw)` will be started connecting.
    (type=type which implements `IConnector`)

### getServiceNamed(self, name)

Retrieve the named service from this application.

Raise a KeyError if there is no such service name.

### listenSSL(self, port, factory, ctxFactory, backlog=5, interface='')

Add a service that connects a given protocol factory to the port.

The connection is a SSL one, using contexts created by the context factory.

  Parameters:
    `port` - a port number on which to listen
    `factory` - a `twisted.internet.protocol.ServerFactory` instance
    `backlog` - size of the listen queue
    `interface` - the hostname to bind to, defaults to '' (all)

### listenTCP(self, port, factory, backlog=5, interface='')

Add a service that connects a given protocol factory to the port.

  Parameters:
    `port` - a port number on which to listen
    `factory` - a twisted.internet.protocol.ServerFactory instance
    `backlog` - size of the listen queue
    `interface` - the hostname to bind to, defaults to '' (all)

### listenUDP(self, port, proto, interface='', maxPacketSize=8192)

Add a service that connects a given DatagramProtocol to the port.

### listenUNIX(self, filename, factory, backlog=5, mode=438)

Add a service that listens on a UNIX socket.

  Parameters:
    `factory` - a `twisted.internet.protocol.Factory` instance.
    `backlog` - number of connections to allow in backlog.
    `mode` - mode to set on the unix socket.

### listenWith(self, portType, *args, **kw)

Add a service that starts an instance of `portType` listening.

  Parameters:
    `portType` - The object given by `portType(*args, **kw)` will be started listening.
    (type=type which implements `IListeningPort`)

### removeService(self, service)

Remove a service from this collection.

### unlistenSSL(self, port, interface='')

Maybe remove a listener

This function is inherently unreliable, and may or may not remove a service.

### unlistenTCP(self, port, interface='')

Maybe remove a listener

This function is inherently unreliable, and may or may not remove a service.

### unlistenUDP(self, port, interface='')

Maybe remove a listener

This function is inherently unreliable, and may or may not remove a service.

### unlistenUNIX(self, filename)

Maybe remove a listener

This function is inherently unreliable, and may or may not remove a service.

### unlistenWith(self, portType, *args, **kw)

Maybe remove a listener

This function is inherently unreliable, and may or may not remove a service.

Generated by Epydoc 2.0 on Sat May 15 20:08:21 2004 | http://epydoc.sf.net